> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mkinf.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List VM Operations

> List all the VM operations

List all VM-related operations. Supports filtering by resource ID and operation state.


## OpenAPI

````yaml GET /projects/{id}/vms/operations
openapi: 3.1.0
info:
  title: mkinf API v0.1
  description: ''
  version: 1.0.0
servers:
  - url: https://api.mkinf.io/v0.1
    description: Prod Env
security: []
tags: []
paths:
  /projects/{id}/vms/operations:
    get:
      tags: []
      summary: List VM Operations
      description: List all the VM operations
      parameters:
        - name: id
          in: path
          description: Project id
          required: true
          example: e91bb876-3358-466d-a49a-4fb524629906
          schema:
            type: string
        - name: resource_id
          in: query
          description: Resource id
          required: false
          example: 452580d7-41d1-4b63-b4d7-4e4e21e95f96
          schema:
            type: string
        - name: state
          in: query
          description: Operation status
          required: false
          example: IN_PROGRESS
          schema:
            type: string
        - name: lower_time_bound
          in: query
          description: Lower time bound
          required: false
          example: '2021-12-03T19:58:34Z'
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        operation_id:
                          type: string
                        state:
                          type: string
                        metadata:
                          type: object
                          properties:
                            operation_name:
                              type: string
                            id:
                              type: string
                            type:
                              type: string
                            request:
                              type: object
                              properties: {}
                          required:
                            - operation_name
                            - id
                            - type
                            - request
                        result:
                          type: object
                          properties: {}
                        started_at:
                          type: string
                        completed_at:
                          type: string
                      required:
                        - operation_id
                        - state
                        - metadata
                        - result
                        - started_at
                        - completed_at
                required:
                  - items
              examples:
                '1':
                  summary: Success
                  value:
                    items:
                      - operation_id: 2d8fde0c-4115-462c-9bf3-547d6dae1555
                        state: SUCCEEDED
                        metadata:
                          operation_name: CREATE
                          id: b3e571f6-c87d-4135-8081-ab219e92544e
                          type: vm
                          request: {}
                        result: {}
                        started_at: '2024-06-16T15:52:41Z'
                        completed_at: '2024-06-16T15:52:53Z'
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````